For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • GETGet all Lease Transfers
        • GETGet Lease Transfer by ID
        • GETGet all lease periods
        • GETGet lease period by ID
        • POSTCreate Lease: Entrata
        • PUTUpdate Lease: Entrata
        • POSTCreate Lease Files: Entrata
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataLeases

Get all Lease Transfers

GET
/v1/lease-transfers/
GET
/v1/lease-transfers/
$curl https://api.propexo.com/v1/lease-transfers/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "50",
18 "x_property_id": "50",
19 "x_location_id": null,
20 "x_resident_id": "90",
21 "x_lease_id_next": "50",
22 "x_lease_property_id_next": "50",
23 "x_lease_id_previous": "49",
24 "x_lease_property_id_previous": "49",
25 "x_unit_id_next": "113",
26 "x_unit_id_previous": "112",
27 "resident_type": "PRIMARY",
28 "resident_type_raw": "main",
29 "lease_status_next": "ACTIVE",
30 "lease_status_next_raw": "active",
31 "lease_status_previous": "ACTIVE",
32 "lease_status_previous_raw": "active",
33 "transfer_effective_date": "2024-07-01T00:00:00.000Z",
34 "integration_id": "clwh5u07w000508me66sfh3um",
35 "integration_vendor": "ENTRATA",
36 "property_id": "clwi5xiix000008l6ctdgafyh",
37 "resident_id": "test_integration:12:90",
38 "lease_id_next": "test_integration:12:50",
39 "lease_id_previous": "test_integration:12:49",
40 "unit_id_next": "test_integration:12:101",
41 "unit_id_previous": "test_integration:12:100"
42 }
43 ]
44}
Get all Lease Transfers
Was this page helpful?
Previous

Get Lease Transfer by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
resident_idstringOptional
The Propexo unique identifier for the resident
lease_id_nextstringOptional
The Propexo unique identifier for the next lease
lease_id_previousstringOptional
The Propexo unique identifier for the previous lease
unit_id_nextstringOptional
The Propexo unique identifier for the next unit
unit_id_previousstringOptional
The Propexo unique identifier for the previous unit
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error